コンテンツへスキップ

FLUX 2 Lora Gallery Realism

統合

モデルID flux-2-lora-gallery/realism
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-lora-gallery/realism?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.021 21 APIクレジット このページで実行

APIキーを取得
Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

リアルな画像生成用プロンプトに、自然な照明と本物らしいディテールを記述します。

image_size デフォルト landscape_4_3

生成画像の寸法。

num_images デフォルト 1

生成する画像数。

詳細設定 acceleration · output_format · guidance_scale · num_inference_steps · lora_scale · seed · enable_safety_checker
acceleration デフォルト regular

画像生成の高速化設定。速度と品質のバランスには 'regular' を選択します。

output_format デフォルト png

結果画像の形式。

デフォルト 2.5

CFG スケールを使用したプロンプト遵守度の制御。CFG は Classifier Free Guidance の略です。

デフォルト 40

実行する推論ステップ数。

デフォルト 1

リアリズム効果の強度。

プロンプトとシードの両方を変更せずに保つことで結果を再現できるランダム生成シード。

POST /run/flux-2-lora-gallery/realism?wait=20 見積もり → $0.021
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-lora-gallery/realism?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

FLUX 2 Lora Gallery Realismについて

テキストの `prompt` から、自然な照明と本物らしいディテールを重視した、より写真らしい画像を生成します。`lora_scale`(0〜2)でリアリズム効果の適用度を設定します。サイズは6種類のプリセットから選択し、デフォルトは landscape_4_3 です。推論ステップ数は4〜50で、png、jpeg、webp形式の画像を1〜4枚返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
リアルな画像生成用プロンプトに、自然な照明と本物らしいディテールを記述します。
image_size任意
型object
デフォルトlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像の寸法。
guidance_scale任意
型number
デフォルト2.5
0 – 20
CFG スケールを使用したプロンプト遵守度の制御。CFG は Classifier Free Guidance の略です。
num_inference_steps任意
型integer
デフォルト40
4 – 50
実行する推論ステップ数。
acceleration任意
型enum
デフォルトregular
noneregular
画像生成の高速化設定。速度と品質のバランスには 'regular' を選択します。
seed任意
型integer | null
プロンプトとシードの両方を変更せずに保つことで結果を再現できるランダム生成シード。
enable_safety_checker任意
型boolean
デフォルトtrue
生成画像の安全性チェック切り替え。無効にできるのは認証済みアカウントのみです。認証されていないリクエストではチェックが必須です。
output_format任意
型enum
デフォルトpng
pngjpegwebp
結果画像の形式。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像数。
lora_scale任意
型number
デフォルト1
0 – 2
リアリズム効果の強度。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-lora-gallery/realism",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 21,
    "usd": "0.021",
    "charged": 21,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}リアルなスタイルでレンダリングされた出力画像。
seed
integer生成時に使用するシード値。
prompt
string生成時に使用したプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-2-lora-gallery/realism.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt